/* styles.css */

html, body {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    margin: 0;
    overflow: hidden;
}

body {
    display: flex;
    flex-direction: column;
    font-family: Arial, Helvetica, sans-serif;
    font-size: large;
    background-color: rgb(255, 255, 255);
    align-items: center;
    overflow-y: scroll;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-self: center;
    width: 100%;
    min-height: 75px;
    max-height: 75px;
    background-color: black;
    box-shadow: 0px 0px 15px rgba(0,0,0,0.5);
}

main {
    display: flex;
    flex-direction: column;
    align-items: center;
    background: none;
    padding: 25px;
    flex-grow: 1;
    width: 100%;
}

#main-content {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
}

h6 {
    margin: 0;
}

footer {
    text-align: center;
    margin-top: auto;
}

.copyright {
    font-size: small;
    color: rgb(68, 68, 68);
}

.credits {
    font-size: small;
    margin: 5px 0 10px 0;
    color: rgb(68, 68, 68);
}

.nav-contain-main {
    display: flex;
    flex-direction: row;
    width: max-content;
    justify-content: flex-end;
}

.nav-main-link {
    display: flex;
    flex-direction: row;
    font-family:'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-size: normal;
    color: white;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin-right: 35px;
}

.nav-main-title {
    margin-left: 10px;
}

.navigation-home {
    color: rgb(200, 200, 200);
    justify-content: center;
    align-items: center;
    text-align: center;
}

.company-logo {
    margin-left: 25px;
}

.nav-icon {
    background-size: contain;
    background-repeat: no-repeat;
    width: 35px;
    height: 35px;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-size: contain;
    mask-repeat: no-repeat;
    mask-size: contain;
}

.icon-select {
    fill: rgb(218, 26, 50);
    background-color: rgb(218, 26, 50);
}

.home-icon {
    background-image: url('../assets/home.svg');
    -webkit-mask-image: url('../assets/home.svg');
    mask-image: url('../assets/home.svg');
}

.menu-icon {
    background-image: url('../assets/menu.svg');
    -webkit-mask-image: url('../assets/menu.svg');
    mask-image: url('../assets/menu.svg');
}

.search-icon {
    background-image: url('../assets/location.svg');
    -webkit-mask-image: url('../assets/location.svg');
    mask-image: url('../assets/location.svg');
}

.contact-icon {
    background-image: url('../assets/mail.svg');
    -webkit-mask-image: url('../assets/mail.svg');
    mask-image: url('../assets/mail.svg');
}

.story-title {
    font-family: PizzaHut;
    font-size: 2em;
    text-align: center;
    margin-top: 25px;
    margin-bottom: 35px;
}

.title-text {
    color: rgb(218, 26, 50);
}

.splash-text {
    color: rgb(218, 26, 50);
}

.name-text {
    font-weight: bold;
}

.hor-ruler {
    border: 0;
    height: 2px;
    width: 500px;
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgb(70, 70, 70), rgba(0, 0, 0, 0));
    margin: 20px 0px 20px 0px;
}

.fill-space {
    width: 100%;
}

h4 {
    margin: 0;
}

a { 
    color: inherit; 
    text-decoration: none;
    transition: .1s ease-in-out;
}

a:hover {
    color: rgb(218, 26, 50);
}

a:hover::before {
    border-width: 0;
    background-color: rgb(218, 26, 50);
    box-shadow: 0 0 .5rem .1rem rgb(218, 26, 50);
    animation: none;
}

.about-us-container {
    width: 900px; 
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif; 
    line-height: 25px;
}

.about-us-img-old {
    float: left; 
    margin: 0 30px 30px 0; 
    border: 2px solid rgb(0, 0, 0, 75%);
    box-shadow: 0 0 .25rem 0 rgb(0, 0, 0);
}

.about-us-img-new {
    float: right; 
    margin-left: 10px; 
    border: 2px solid rgb(0, 0, 0, 75%);
    box-shadow: 0 0 .25rem 0 rgb(0, 0, 0);
}

.scroll-button {
    width: 65px; 
    height: 65px; 
    border-radius: 50%; 
    background-color: rgb(150, 150, 150, 25%);
    border: 1px solid rgb(150, 150, 150, 50%); 
    box-shadow: 0 0 .5rem .05rem rgb(150, 150, 150);
    position: fixed; 
    /* right: 50px;  */
    bottom: 60px;
}

.scroll-button:active {
    background-color: rgb(150, 150, 150, 0.5);
    transition: opacity 1s;
}

.scroll-button-icon {
    align-self: center; 
    justify-content: center; 
    fill: black; 
    opacity: 1;
}

.splash-title {
    font-family: PizzaHut;
    font-size: 2.5em;
    text-align: center;
    margin: 0;
}

.splash-quote {
    color: white;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    letter-spacing: 0.5px;
    font-size: 1em;
    text-align: center;
    margin-bottom: 20px;
    font-weight: normal;
}

.splash-screen {
    position: fixed;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: black;
    z-index: 200;
    color: white;
    text-align: center;
}

.splash-screen.display-none {
    position: fixed;
    opacity: 0;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: black;
    z-index: -10;
    color: white;
    text-align: center;
    line-height: 90vh;
    transition: all 0.5s;
}

.hidden-on-load {
    display: none;
} */

.hidden {
    display: none;
}

@keyframes fadeIn {
    to {
        opacity: 1;
    }
}

.fade-in {
    opacity: 0;
    animation: fadeIn 1s ease-in forwards;
}

@font-face {
    font-family: 'PizzaHut';
    src: url('../fonts/pizzahut.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Nunito';
    src: url('../fonts/NunitoSans-VariableFont_YTLC,opsz,wdth,wght.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}